Bug 579488 - fetch-crl prints error when randomWait unset.
Summary: fetch-crl prints error when randomWait unset.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fetch-crl
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-05 15:09 UTC by Steve Traylen
Modified: 2010-04-15 23:49 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-09 01:39:39 UTC


Attachments (Terms of Use)
Fixes this bug - trival. (634 bytes, patch)
2010-04-05 17:40 UTC, Steve Traylen
no flags Details | Diff

Description Steve Traylen 2010-04-05 15:09:33 UTC
Description of problem:

fetch-crl prints error when randomWait unset.

Version-Release number of selected component (if applicable):
# rpm -qf /usr/sbin/fetch-crl
fetch-crl-2.8.3-1.fc13.noarch


How reproducible:

yes

Steps to Reproduce:
1. fetch-crl 

  
Actual results:
/usr/sbin/fetch-crl: line 592: [: too many arguments


Expected results:
Nothing should be returned.

Additional info:
Line 592 is 

if [ "X${RandomWait}" != "X" -a ${RandomWait} -ne 0 ] ; then

which gives the above error when ${RandomWait} is not set.

Changing to 

if [ "X${RandomWait}" != "X" ] && [ ${RandomWait} -ne 0 ] ; then

is one solution.

Steve

Comment 1 Steve Traylen 2010-04-05 17:40:14 UTC
Created attachment 404525 [details]
Fixes this bug - trival.

Comment 2 Fedora Update System 2010-04-05 17:53:10 UTC
fetch-crl-2.8.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fetch-crl-2.8.3-2.fc13

Comment 3 Fedora Update System 2010-04-05 17:53:55 UTC
fetch-crl-2.8.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fetch-crl-2.8.3-2.fc12

Comment 4 Fedora Update System 2010-04-05 17:54:07 UTC
fetch-crl-2.8.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fetch-crl-2.8.3-2.fc11

Comment 5 Fedora Update System 2010-04-05 17:54:24 UTC
fetch-crl-2.8.3-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fetch-crl-2.8.3-2.el5

Comment 6 Fedora Update System 2010-04-05 17:54:37 UTC
fetch-crl-2.8.3-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/fetch-crl-2.8.3-2.el4

Comment 7 Fedora Update System 2010-04-06 19:55:31 UTC
fetch-crl-2.8.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fetch-crl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fetch-crl-2.8.4-1.fc13

Comment 8 Fedora Update System 2010-04-07 22:16:09 UTC
fetch-crl-2.8.4-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fetch-crl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fetch-crl-2.8.4-1.el5

Comment 9 Fedora Update System 2010-04-07 22:18:37 UTC
fetch-crl-2.8.4-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fetch-crl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fetch-crl-2.8.4-1.el4

Comment 10 Fedora Update System 2010-04-09 01:39:27 UTC
fetch-crl-2.8.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-09 01:42:30 UTC
fetch-crl-2.8.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-09 03:48:41 UTC
fetch-crl-2.8.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-15 23:48:12 UTC
fetch-crl-2.8.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-15 23:48:54 UTC
fetch-crl-2.8.4-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.